# Draw
TKDCAF
DDataStd

# DDataStd_TreeBrowser Class Reference

Browses a TreeNode from TDataStd.
=================================
.

`#include <DDataStd_TreeBrowser.hxx>`

Inheritance diagram for DDataStd_TreeBrowser:

[legend]

## Public Member Functions

Standard_EXPORT | DDataStd_TreeBrowser (const TDF_Label &root)
Standard_EXPORT void | DrawOn (Draw_Display &dis) const
virtual Standard_EXPORT Handle_Draw_Drawable3D | Copy () const
| For variable copy. .
virtual Standard_EXPORT void | Dump (Standard_OStream &S) const
| For variable dump. .
virtual Standard_EXPORT void | Whatis (Draw_Interpretor &I) const
| Specific methods ================ .
Standard_EXPORT void | Label (const TDF_Label &root)
Standard_EXPORT TDF_Label | Label () const
Standard_EXPORT TCollection_AsciiString | OpenRoot () const
| Returns a string composed with the TreeNode of <mylabel>. .
Standard_EXPORT TCollection_AsciiString | OpenNode (const TDF_Label &L) const
| Returns a string composed with the sub-TreeNodes of <l> .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Member Functions

Standard_EXPORT void | OpenNode (const Handle(TDataStd_TreeNode)&aTreeNode, TCollection_AsciiString &aList) const
| Returns a string composed with the sub-TreeNodes of <atreenode>. Used to implement other methods. .

## Private Attributes

TDF_Label | myRoot

## Constructor & Destructor Documentation

Standard_EXPORT DDataStd_TreeBrowser::DDataStd_TreeBrowser | ( | const TDF_Label & | root | ) |

## Member Function Documentation

virtual Standard_EXPORT Handle_Draw_Drawable3D DDataStd_TreeBrowser::Copy | ( |  | ) | const`[virtual]`

| Reimplemented from Draw_Drawable3D.

Standard_EXPORT void DDataStd_TreeBrowser::DrawOn | ( | Draw_Display & | dis | ) | const`[virtual]`

| Implements Draw_Drawable3D.

virtual Standard_EXPORT void DDataStd_TreeBrowser::Dump | ( | Standard_OStream & | S | ) | const`[virtual]`

| Reimplemented from Draw_Drawable3D.

Standard_EXPORT const DDataStd_TreeBrowser::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Draw_Drawable3D.

Standard_EXPORT TDF_Label DDataStd_TreeBrowser::Label | ( |  | ) | const

Standard_EXPORT void DDataStd_TreeBrowser::Label | ( | const TDF_Label & | root | ) |

Standard_EXPORT void DDataStd_TreeBrowser::OpenNode | ( | const Handle(TDataStd_TreeNode)& | aTreeNode,
|  | TCollection_AsciiString & | aList
| ) | const`[private]`

Standard_EXPORT TCollection_AsciiString DDataStd_TreeBrowser::OpenNode | ( | const TDF_Label & | L | ) | const

Standard_EXPORT TCollection_AsciiString DDataStd_TreeBrowser::OpenRoot | ( |  | ) | const

virtual Standard_EXPORT void DDataStd_TreeBrowser::Whatis | ( | Draw_Interpretor & | I | ) | const`[virtual]`

| Reimplemented from Draw_Drawable3D.

## Field Documentation

TDF_Label DDataStd_TreeBrowser::myRoot `[private]`

The documentation for this class was generated from the following file:

- DDataStd_TreeBrowser.hxx